/***************************************************************************
 *                                                                         *
 *  CSTRUTIL.H                                                             *
 *                                                                         *
 *  CString utility functions                                              *
 *                                                                         *
 *                                                  - Paul Roub  08/20/96  *
 *                                                                         *
 ***************************************************************************/

#if ! defined( CSTRUTIL_H )
#  define CSTRUTIL_H

void lTrim( CString &st );
void rTrim( CString &st );
void lrTrim( CString &st );

BOOL IsNumber( const CString &st );
BOOL IsHexNumber( const CString &st );

LONG htol( const CString &st );

BOOL SearchNoCase( const CString &fullText, const CString &target );

// DEBUG
void BmgInit( const CString &searchText );
BOOL BmgSearch( const CString &text );

#endif
